%global momorel 2

Summary: Man (manual) pages from the Linux Documentation Project.
Name: man-pages
Version: 1.65
Release: %{momorel}m
License: see "README"
Group: Documentation
URL: http://www.win.tue.nl/~aeb/linux/man/
Source0: ftp://ftp.kernel.org/pub/linux/docs/manpages/man-pages-%{version}.tar.bz2
#Source0: ftp://ftp.ring.gr.jp/pub/linux/kernel.org/docs/manpages/man-pages-%{version}.tar.bz2
Source1: rpcgen.1
Source2: netman-cvs.tar.gz
Source9: man2.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
#Autoreqprov: false
BuildArchitectures: noarch
NoSource: 0

%description
A large collection of man pages (documentation) from the Linux
Documentation Project (LDP).  The man pages are organized into the
following sections: Section 1, user commands (intro only); Section 2,
system calls; Section 3, libc calls; Section 4, devices (e.g., hd,
sd); Section 5, file formats and protocols (e.g., wtmp, /etc/passwd,
nfs); Section 6, games (intro only); Section 7, conventions, macro
packages, etc. (e.g., nroff, ascii); and Section 8, system
administration (intro only).

%prep
%setup -q  -a 9

cp -a %{SOURCE1} man1

%build
rm -fv man1/README
rm -fv man1/{chgrp,chmod,chown,cp,dd,df,dircolors,du,install}.1
rm -fv man1/{ln,ls,mkdir,mkfifo,mknod,mv,rm,rmdir,touch}.1
rm -fv man1/{dir,vdir}.1
rm -fv man1/diff.1
rm -fv man2/capget.2
rm -fv man2/capset.2
rm -fv man2/modules.2 man2/quotactl.2 man2/get_kernel_syms.2 
rm -fv man2/{create,delete,init,query}_module.2
rm -rf man2/fgetxattr.2
rm -rf man2/flistxattr.2
rm -rf man2/fremovexattr.2
rm -rf man2/fsetxattr.2
rm -rf man2/getxattr.2
rm -rf man2/lgetxattr.2
rm -rf man2/listxattr.2
rm -rf man2/llistxattr.2
rm -rf man2/lremovexattr.2
rm -rf man2/lsetxattr.2
rm -rf man2/removexattr.2
rm -rf man2/setxattr.2
rm -fv man3/getnetent.3
rm -fv man3/getspnam.3
rm -fv man3/dlclose.3
rm -fv man3/dlerror.3
rm -fv man3/dlopen.3
rm -fv man3/dlsym.3
rm -fv man4/console.4
rm -fv man5/resolv.conf.5
rm -fv man5/exports.5
rm -fv man5/nfs.5
rm -fv man5/fstab.5
rm -fv man5/resolver.5

find . -name "*sudo*" -exec rm {} \;

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_mandir}
for n in 1 2 3 4 5 6 7 8; do
	mkdir %{buildroot}%{_mandir}/man$n
done
for n in man?/*; do
	cp -a $n %{buildroot}%{_mandir}/$n
done

# conflict with gridengine
mv %{buildroot}%{_mandir}/man5/complex.5 %{buildroot}%{_mandir}/man5/complex_math.5

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README man-pages-*.Announce
%{_mandir}/man*/*

%changelog
* Mon Apr  5 2004 Toru Hoshina <t@momonga-linux.org>
- (1.65-2m)
- avoid conflict with shadow-utils.

* Sun Jan 25 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.65-1m)

* Tue Nov 11 2003 zunda <zunda at freeshell.org>
- (1.60-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Sat Aug 30 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.60-1m)
- major feature enhancements
- mv complex.5 complex_math.5

* Fri Feb 28 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.56-1m)
- major feature enhancements

* Tue Feb 11 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.55-1m)
- major feature enhancements

* Sat Jan  4 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.54-1m)
- minor bugfixes

* Mon Jul 29 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.52-1m)
- major feature enhancements

* Sat Jun  8 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (1.51-2k)
- update to 1.51

* Thu Jun  6 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.50-2k)

* Wed Mar 27 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.48-2k)

* Wed Mar 27 2002 Junichiro Kita <kita@kitaj.no-ip.com>
- (1.42-6k)
- remove diff.1

* Tue Oct 23 2001 Toru Hoshina <t@kondara.org>
- (1.42-4k)
- capget and capset manual should belong to libcap-1.10.

* Fri Oct 19 2001 Kazuhiko <kazuhiko@kondara.org>
- (1.42-2k)

* Wed Oct 17 2001 Kazuhiko <kazuhiko@kondara.org>
- (1.41-2k)
- revise URI of Source0

* Wed Sep 20 2000 Toru Hoshina <t@kondara.org>
- merge from pinstripe.
